<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="structCatch_1_1IGeneratorTracker.html">IGeneratorTracker</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Catch::IGeneratorTracker Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="structCatch_1_1IGeneratorTracker.html">Catch::IGeneratorTracker</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1IGeneratorTracker.html#a23be942fc51672598bfa02c678c3078a">getGenerator</a>() const -&gt; Generators::GeneratorBasePtr const &amp;=0</td><td class="entry"><a class="el" href="structCatch_1_1IGeneratorTracker.html">Catch::IGeneratorTracker</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1IGeneratorTracker.html#a23be942fc51672598bfa02c678c3078a">getGenerator</a>() const -&gt; Generators::GeneratorBasePtr const &amp;=0</td><td class="entry"><a class="el" href="structCatch_1_1IGeneratorTracker.html">Catch::IGeneratorTracker</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1IGeneratorTracker.html#ae88084f9af27c8b9a5d5775b9c148498">hasGenerator</a>() const -&gt; bool=0</td><td class="entry"><a class="el" href="structCatch_1_1IGeneratorTracker.html">Catch::IGeneratorTracker</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1IGeneratorTracker.html#ae88084f9af27c8b9a5d5775b9c148498">hasGenerator</a>() const -&gt; bool=0</td><td class="entry"><a class="el" href="structCatch_1_1IGeneratorTracker.html">Catch::IGeneratorTracker</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1IGeneratorTracker.html#a9945eff42219edc5a7071eebd8b0419e">setGenerator</a>(Generators::GeneratorBasePtr &amp;&amp;generator)=0</td><td class="entry"><a class="el" href="structCatch_1_1IGeneratorTracker.html">Catch::IGeneratorTracker</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1IGeneratorTracker.html#a9945eff42219edc5a7071eebd8b0419e">setGenerator</a>(Generators::GeneratorBasePtr &amp;&amp;generator)=0</td><td class="entry"><a class="el" href="structCatch_1_1IGeneratorTracker.html">Catch::IGeneratorTracker</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1IGeneratorTracker.html#a20b3c82baa68f821c180d6dac1234eb1">~IGeneratorTracker</a>()</td><td class="entry"><a class="el" href="structCatch_1_1IGeneratorTracker.html">Catch::IGeneratorTracker</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1IGeneratorTracker.html#a20b3c82baa68f821c180d6dac1234eb1">~IGeneratorTracker</a>()</td><td class="entry"><a class="el" href="structCatch_1_1IGeneratorTracker.html">Catch::IGeneratorTracker</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
